Index: /opt/local/var/macports/sources/svn.macports.org/trunk/dports/databases/mysqlxx/Portfile
===================================================================
--- /opt/local/var/macports/sources/svn.macports.org/trunk/dports/databases/mysqlxx/Portfile	(revision 108950)
+++ /opt/local/var/macports/sources/svn.macports.org/trunk/dports/databases/mysqlxx/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -3,5 +4,5 @@
 
 name		mysqlxx
-version		3.0.8
+version		3.2.0
 categories	databases
 maintainers	genetikayos.com:kayos
@@ -14,28 +15,103 @@
 homepage	http://tangentsoft.net/mysql++/
 master_sites	http://tangentsoft.net/mysql++/releases/
 distname	mysql++-${version}
-checksums	md5 b977bbf671df08661c15cde051db1513 \
-		sha1 060d81dcf284732a4dc3f74b305f48ec8d12150f \
-		rmd160 686fc71773c3d828ed01374ba383e2d58ea5f370
 
+checksums           rmd160  308142c8462f801cdf219a63a07de63e717d51a6 \
+                    sha256  4d65caa4185801402ca62ffb37fa9c03216a32bea34ef77952fee8fe8f38718b
+
 depends_lib	port:gettext \
 		port:zlib
 
-variant mysql4 conflicts mysql5 description {Build with MySQL 4 support} {
-	depends_lib-append	port:mysql4
-	configure.args		--with-mysql=${prefix}
+variant mysql4 \
+    conflicts mysql5 mysql51 mysql55 mysql56 mariadb percona \
+    description {Build with mysql4 port} {
+
+    depends_lib-append      port:mysql4
+    configure.args-append   --with-mysql=${prefix}
 }
 
-variant mysql5 conflicts mysql4 description {Build with MySQL 5 support} {
-	depends_lib-append	path:bin/mysql_config5:mysql5
-	configure.args		--with-mysql-lib=${prefix}/lib/mysql5/mysql \
-				--with-mysql-include=${prefix}/include/mysql5/mysql
+variant mysql5 \
+    conflicts mysql4 mysql51 mysql55 mysql56 mariadb percona \
+    description {Build with mysql5 port} {
+
+    depends_lib-append      port:mysql5
+    configure.args-append   --with-mysql-lib=${prefix}/lib/mysql5/mysql \
+                            --with-mysql-include=${prefix}/include/mysql5/mysql
 }
 
-if {![variant_isset mysql4]} {
-	default_variants +mysql5
+variant mysql51 \
+    conflicts mysql4 mysql5 mysql55 mysql56 mariadb percona \
+    description {Build with mysql51 port} {
+
+    depends_lib-append      port:mysql51
+    configure.args-append   --with-mysql-lib=${prefix}/lib/mysql51/mysql \
+                            --with-mysql-include=${prefix}/include/mysql51/mysql
 }
 
+variant mysql55 \
+    conflicts mysql4 mysql5 mysql51 mysql56 mariadb percona \
+    description {Build with mysql55 port} {
+
+    depends_lib-append      port:mysql55
+    configure.args-append   --with-mysql-lib=${prefix}/lib/mysql55/mysql \
+                            --with-mysql-include=${prefix}/include/mysql55/mysql
+}
+
+variant mysql56 \
+    conflicts mysql4 mysql5 mysql51 mysql55 mariadb percona \
+    description {Build with mysql56 port} {
+
+    depends_lib-append      port:mysql56
+    configure.args-append   --with-mysql-lib=${prefix}/lib/mysql56/mysql \
+                            --with-mysql-include=${prefix}/include/mysql56/mysql
+}
+
+variant mariadb \
+    conflicts mysql4 mysql5 mysql51 mysql55 mysql56 percona \
+    description {Build with mariadb port} {
+
+    depends_lib-append      port:mariadb
+    configure.args-append   --with-mysql-lib=${prefix}/lib/mariadb/mysql \
+                            --with-mysql-include=${prefix}/include/mariadb/mysql
+}
+
+variant percona \
+    conflicts mysql4 mysql5 mysql51 mysql55 mysql56 mariadb \
+    description {Build with percona port} {
+
+    depends_lib-append      port:percona
+    configure.args-append   --with-mysql-lib=${prefix}/lib/percona/mysql \
+                            --with-mysql-include=${prefix}/include/percona/mysql
+}
+
+if {
+
+    ![variant_isset mysql4]
+    && ![variant_isset mysql5]
+    && ![variant_isset mysql51]
+    && ![variant_isset mysql55]
+    && ![variant_isset mysql56]
+    && ![variant_isset mariadb]
+    && ![variant_isset percona]
+} {
+    default_variants    +mariadb
+}
+pre-fetch {
+    if {
+
+        ![variant_isset mysql4]
+        && ![variant_isset mysql5]
+        && ![variant_isset mysql51]
+        && ![variant_isset mysql55]
+        && ![variant_isset mysql56]
+        && ![variant_isset mariadb]
+        && ![variant_isset percona]
+    } {
+
+        return -code error "${name} requires one of these variants: +mysql4, +mysql5, +mysql51, +mysql55, +mysql56, +mariadb or +percona"
+    }
+}
+
 livecheck.type	regex
 livecheck.url	[lindex ${master_sites} 0]?C=M&O=D
 livecheck.regex	mysql\\+\\+-(\[0-9.\]+)\\.tar