Index: Portfile
===================================================================
--- Portfile	(revision 114170)
+++ Portfile	(working copy)
@@ -1,12 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem                  1.0
+PortGroup                   compiler_blacklist_versions 1.0
 
 # Please keep the wine, wine-devel and wine-crossover ports as similar as possible.
 
 name                        wine-crossover
 conflicts                   wine wine-devel
-version                     12.2.2
+version                     13.0.0
 license                     LGPL-2.1+
 categories                  x11
 maintainers                 jeremyhu openmaintainer
@@ -15,7 +17,7 @@
 distname                    crossover-sources-${version}
 dist_subdir                 wine
 set wine_distfile           ${distname}${extract.suffix}
-set wine_gecko_version      1.8
+set wine_gecko_version      2.24
 set wine_gecko_distfile     wine_gecko-${wine_gecko_version}-x86.msi
 distfiles                   ${wine_distfile}:winesource ${wine_gecko_distfile}:winegecko
 extract.only                ${wine_distfile}
@@ -23,7 +25,7 @@
 build.target                depend all
 use_parallel_build          yes
 
-description                 Wine Is Not an Emulator (1.5.15 with CodeWeavers modifications for CrossOver)
+description                 Wine Is Not an Emulator (1.7.4 with CodeWeavers modifications for CrossOver)
 
 long_description            Wine is an implementation of the Windows APIs on top of X11. \
                             This version contains the Codeweavers patches for CrossOver
@@ -32,12 +34,12 @@
                             http://ftp.codeweavers.com/pub/crossover/source/archive/${version}/:winesource \
                             sourceforge:project/wine/Wine%20Gecko/${wine_gecko_version}:winegecko
 
-checksums                   crossover-sources-12.2.2.tar.gz \
-                            rmd160  5ddd12e9251646a2923a258ea03b9777a6efe4ab \
-                            sha256  110378a4bc8420c84aed96e9e0ba7d5f495934126e3df224863f544708d97b2d \
-                            wine_gecko-1.8-x86.msi \
-                            rmd160  f7b86d2e5ff82bf345b2420c9a8e9cfbc3c9989c \
-                            sha256  28f3b7e497e1f884a64b2d982b61dda3167efac4c843de198654a1c9144ff9dc
+checksums                   ${wine_distfile} \
+                            rmd160  db4dace01bd5eb01a6e496ff48e418d99996a7f1 \
+                            sha256  54305a1509732ab20a49785c5e9055c126a6718b58c4c95197c505d5bb11f750 \
+                            ${wine_gecko_distfile} \
+                            rmd160  109014e52d056962350681fd9d8178969cff939d \
+                            sha256  6e38acae87ea66e2c1e8f2f0afe88f89eed3e6e0b431cd3da38dea814b71202c
 
 # Note: Most of the X11 libs are dlopen()'d
 depends_lib                 port:expat \
@@ -46,13 +48,13 @@
                             port:gstreamer010 \
                             port:gstreamer010-gst-plugins-base \
                             port:jpeg \
-                            port:lcms \
+                            port:lcms2 \
                             port:libiconv \
                             port:libpng \
                             port:libxml2 \
                             port:libxslt \
                             port:ncurses \
-                            port:openssl \
+                            port:gnutls \
                             port:tiff \
                             port:zlib \
                             port:xorg-libsm \
@@ -75,12 +77,15 @@
 
 patchfiles                  BOOL.patch \
                             mach_machine.patch \
-                            patch-dlls-winemac.drv-gdi.c.diff \
+                            patch-freetype-2.5.1.diff \
                             winedbg.patch
 
+# rebuild configure after freetype 2.5.1 patch
+use_autoreconf              yes
+
 configure.ldflags-append    -framework CoreServices \
-                            -framework Security \
                             -lz
+#                            -framework Security \
 
 configure.args              --without-alsa \
                             --without-capi \
@@ -92,7 +97,7 @@
                             --with-freetype \
                             --without-gphoto \
                             --with-glu \
-                            --without-gnutls \
+                            --with-gnutls \
                             --without-gsm \
                             --without-hal \
                             --with-jpeg \
@@ -100,7 +105,6 @@
                             --without-mpg123 \
                             --without-openal \
                             --with-opengl \
-                            --with-openssl \
                             --without-oss \
                             --with-png \
                             --with-pthread \
@@ -124,11 +128,14 @@
 # This is not 64-bit friendly yet
 supported_archs             i386
 
-# BUILD FIX TODO: llvm-gcc-4.2, clang
-# llvm-gcc does not respect force_align_arg_pointer
-# clang fails due to CFI-foo (winebuild uses /usr/bin/as to assemble clang-generated assembly)
-compiler.whitelist gcc-4.2 apple-gcc-4.2
+# llvm-gcc-4.2 doesn't respect force_align_arg_pointer; wine builds but fails to run
+# http://bugs.winehq.org/show_bug.cgi?id=28030
+compiler.blacklist-append   llvm-gcc-4.2 macports-llvm-gcc-4.2
 
+# clang < 3.1 fails to build wine with "error: invalid operand for instruction lretw"
+# http://bugs.winehq.org/show_bug.cgi?id=32872
+compiler.blacklist-append   {clang < 425} macports-clang-2.9 macports-clang-3.0
+
 platform darwin {
     if {${os.major} <= 9} {
         # Fix "Xcode 3.x cannot build 16-bit code correctly. Use --disable-win16 if you don't need 16-bit support."