Index: Portfile
===================================================================
--- Portfile	(revision 137058)
+++ Portfile	(working copy)
@@ -5,9 +5,10 @@
 PortGroup           compiler_blacklist_versions 1.0
 PortGroup           muniversal 1.0
 
+# Since libvpx installs a static library only, increase the revision of
+# dependents when updating libvpx to a new version so they'll be rebuilt.
 name                libvpx
-version             1.3.0
-revision            1
+version             1.4.0
 categories          multimedia
 maintainers         devans openmaintainer
 platforms           darwin
@@ -24,14 +25,15 @@
                     The VP9 encoder in this release is not, as yet, feature complete.
 
 homepage            http://webmproject.org
-master_sites        googlecode:webm
+master_sites        http://storage.googleapis.com/downloads.webmproject.org/releases/webm/
 use_bzip2           yes
-distname            ${name}-v${version}
 
-checksums           rmd160  bf74821ac8f20ed30f44b6e01473ee1f332f721c \
-                    sha256  d3dcc8d84af51c6c382b214397c62402e37a799e8ebcda6f4217aef0010451a9
+checksums           rmd160  272b1a9f1687a80337d79ccbada2a344c96d1bf1 \
+                    sha256  f582d9b2d60a592a4a3d8c32965ca2d2167e9ade38c6c30bac8801ff66a118e4
 
-depends_build       port:yasm
+if {[string match "*86*" [get_canonical_archs]]} {
+    depends_build-append port:yasm
+}
 
 patchfiles          patch-build-make-configure.sh.diff \
                     patch-configure.diff \
@@ -50,7 +52,8 @@
                     --enable-runtime-cpu-detect \
                     --disable-install-docs \
                     --disable-debug-libs \
-                    --disable-examples
+                    --disable-examples \
+                    --disable-unit-tests
 
 configure.env       LD="${configure.cc}"
 
@@ -83,35 +86,24 @@
         build.args-append CFLAGS_S=-fno-integrated-as
 }
 
-platform darwin {
-    if {${os.major} >= 10} {
-        supported_archs i386 x86_64
-    }
-}
+configure.universal_args-delete --disable-dependency-tracking
 
-# set configure parameters depending on if universal or not
 set my_targets(ppc)     ppc32
 set my_targets(ppc64)   ppc64
 set my_targets(i386)    x86
 set my_targets(x86_64)  x86_64
-if {[variant_isset universal]} {
-    # clear universal flags; configure will determine them.
-    configure.universal_cppflags
-    configure.universal_cflags
-    configure.universal_cxxflags
-    configure.universal_ldflags
-    configure.universal_args-delete --disable-dependency-tracking
-    foreach my_arch ${configure.universal_archs} {
-        set merger_host(${my_arch}) ""
-        if {[info exists my_targets(${my_arch})]} {
-            set merger_configure_args(${my_arch}) --target=$my_targets(${my_arch})-${os.platform}-gcc
-        }
+
+# We must specify the target, otherwise the configure script will guess,
+# and that may not match what the user requested in macports.conf.
+foreach my_arch ${configure.universal_archs} {
+    set merger_host(${my_arch}) ""
+    if {[info exists my_targets(${my_arch})]} {
+        set merger_configure_args(${my_arch}) --target=$my_targets(${my_arch})-${os.platform}-gcc
     }
-} else {
-    # specify only the single target, otherwise 'configure' will try
-    # for a universal install.
-    if {[info exists my_targets(${build_arch})]} {
-        configure.args-append --target=$my_targets(${build_arch})-${os.platform}-gcc
+}
+if {![variant_isset universal]} {
+    if {[info exists merger_configure_args(${build_arch})]} {
+        configure.args-append $merger_configure_args(${build_arch})
     } else {
         configure.args-append --target=${os.arch}-${os.platform}-gcc
     }
Index: files/patch-build-make-configure.sh.diff
===================================================================
--- files/patch-build-make-configure.sh.diff	(revision 137058)
+++ files/patch-build-make-configure.sh.diff	(working copy)
@@ -1,121 +1,99 @@
---- build/make/configure.sh.orig	2015-04-17 10:56:45.000000000 -0700
-+++ build/make/configure.sh	2015-04-17 10:58:27.000000000 -0700
-@@ -442,10 +442,10 @@
- EOF
+--- build/make/configure.sh.orig	2015-04-03 13:49:19.000000000 -0500
++++ build/make/configure.sh	2015-06-02 13:22:43.000000000 -0500
+@@ -653,33 +653,13 @@
  
-     if enabled rvct; then cat >> $1 << EOF
--fmt_deps = sed -e 's;^__image.axf;\${@:.d=.o} \$@;' #hide
-+fmt_deps = sed -e 's;^__image.axf;\$\${@:.d=.o} \$@;' #hide
- EOF
-     else cat >> $1 << EOF
--fmt_deps = sed -e 's;^\([a-zA-Z0-9_]*\)\.o;\${@:.d=.o} \$@;'
-+fmt_deps = sed -e 's;^\([a-zA-Z0-9_]*\)\.o;\$\${@:.d=.o} \$@;'
- EOF
-     fi
+     # detect tgt_os
+     case "$gcctarget" in
+-      *darwin8*)
++      *darwin[89]*)
+         tgt_isa=universal
+-        tgt_os=darwin8
++        tgt_os=darwin
+         ;;
+-      *darwin9*)
+-        tgt_isa=universal
+-        tgt_os=darwin9
+-        ;;
+-      *darwin10*)
+-        tgt_isa=x86_64
+-        tgt_os=darwin10
+-        ;;
+-      *darwin11*)
+-        tgt_isa=x86_64
+-        tgt_os=darwin11
+-        ;;
+-      *darwin12*)
+-        tgt_isa=x86_64
+-        tgt_os=darwin12
+-        ;;
+-      *darwin13*)
+-        tgt_isa=x86_64
+-        tgt_os=darwin13
+-        ;;
+-      *darwin14*)
++      *darwin*)
+         tgt_isa=x86_64
+-        tgt_os=darwin14
++        tgt_os=darwin
+         ;;
+       x86_64*mingw32*)
+         tgt_os=win64
+@@ -739,58 +719,6 @@
+   # Minimum iOS version for all target platforms (darwin and iphonesimulator).
+   IOS_VERSION_MIN="6.0"
  
-@@ -634,29 +634,13 @@
- 
-         # detect tgt_os
-         case "$gcctarget" in
--            *darwin8*)
-+            *darwin[89]*)
-                 tgt_isa=universal
--                tgt_os=darwin8
-+                tgt_os=darwin
-                 ;;
--            *darwin9*)
--                tgt_isa=universal
--                tgt_os=darwin9
--                ;;
--            *darwin10*)
--                tgt_isa=x86_64
--                tgt_os=darwin10
--                ;;
--            *darwin11*)
--                tgt_isa=x86_64
--                tgt_os=darwin11
--                ;;
--            *darwin12*)
-+            *darwin*)
-                 tgt_isa=x86_64
--                tgt_os=darwin12
--                ;;
--            *darwin13*)
--                tgt_isa=x86_64
--                tgt_os=darwin13
-+                tgt_os=darwin
-                 ;;
-             x86_64*mingw32*)
-                 tgt_os=win64
-@@ -709,59 +693,6 @@
-     # PIC is probably what we want when building shared libs
-     enabled shared && soft_enable pic
- 
--    # Handle darwin variants. Newer SDKs allow targeting older
--    # platforms, so find the newest SDK available.
--    case ${toolchain} in
--        *-darwin*)
--            if [ -z "${DEVELOPER_DIR}" ]; then
--                DEVELOPER_DIR=`xcode-select -print-path 2> /dev/null`
--                [ $? -ne 0 ] && OSX_SKIP_DIR_CHECK=1
--            fi
--            if [ -z "${OSX_SKIP_DIR_CHECK}" ]; then
--                OSX_SDK_ROOTS="${DEVELOPER_DIR}/SDKs"
--                OSX_SDK_VERSIONS="MacOSX10.4u.sdk MacOSX10.5.sdk MacOSX10.6.sdk"
--                OSX_SDK_VERSIONS="${OSX_SDK_VERSIONS} MacOSX10.7.sdk"
--                for v in ${OSX_SDK_VERSIONS}; do
--                    if [ -d "${OSX_SDK_ROOTS}/${v}" ]; then
--                        osx_sdk_dir="${OSX_SDK_ROOTS}/${v}"
--                    fi
--                done
--            fi
--            ;;
--    esac
--
--    if [ -d "${osx_sdk_dir}" ]; then
+-  # Handle darwin variants. Newer SDKs allow targeting older
+-  # platforms, so use the newest one available.
+-  case ${toolchain} in
+-    *-darwin*)
+-      osx_sdk_dir="$(show_darwin_sdk_path macosx)"
+-      if [ -d "${osx_sdk_dir}" ]; then
 -        add_cflags  "-isysroot ${osx_sdk_dir}"
 -        add_ldflags "-isysroot ${osx_sdk_dir}"
--    fi
+-      fi
+-      ;;
+-  esac
 -
--    case ${toolchain} in
--        *-darwin8-*)
--            add_cflags  "-mmacosx-version-min=10.4"
--            add_ldflags "-mmacosx-version-min=10.4"
--            ;;
--        *-darwin9-*)
--            add_cflags  "-mmacosx-version-min=10.5"
--            add_ldflags "-mmacosx-version-min=10.5"
--            ;;
--        *-darwin10-*)
--            add_cflags  "-mmacosx-version-min=10.6"
--            add_ldflags "-mmacosx-version-min=10.6"
--            ;;
--        *-darwin11-*)
--            add_cflags  "-mmacosx-version-min=10.7"
--            add_ldflags "-mmacosx-version-min=10.7"
--            ;;
--        *-darwin12-*)
--            add_cflags  "-mmacosx-version-min=10.8"
--            add_ldflags "-mmacosx-version-min=10.8"
--            ;;
--        *-darwin13-*)
--            add_cflags  "-mmacosx-version-min=10.9"
--            add_ldflags "-mmacosx-version-min=10.9"
--            ;;
--    esac
+-  case ${toolchain} in
+-    *-darwin8-*)
+-      add_cflags  "-mmacosx-version-min=10.4"
+-      add_ldflags "-mmacosx-version-min=10.4"
+-      ;;
+-    *-darwin9-*)
+-      add_cflags  "-mmacosx-version-min=10.5"
+-      add_ldflags "-mmacosx-version-min=10.5"
+-      ;;
+-    *-darwin10-*)
+-      add_cflags  "-mmacosx-version-min=10.6"
+-      add_ldflags "-mmacosx-version-min=10.6"
+-      ;;
+-    *-darwin11-*)
+-      add_cflags  "-mmacosx-version-min=10.7"
+-      add_ldflags "-mmacosx-version-min=10.7"
+-      ;;
+-    *-darwin12-*)
+-      add_cflags  "-mmacosx-version-min=10.8"
+-      add_ldflags "-mmacosx-version-min=10.8"
+-      ;;
+-    *-darwin13-*)
+-      add_cflags  "-mmacosx-version-min=10.9"
+-      add_ldflags "-mmacosx-version-min=10.9"
+-      ;;
+-    *-darwin14-*)
+-      add_cflags  "-mmacosx-version-min=10.10"
+-      add_ldflags "-mmacosx-version-min=10.10"
+-      ;;
+-    *-iphonesimulator-*)
+-      add_cflags  "-miphoneos-version-min=${IOS_VERSION_MIN}"
+-      add_ldflags "-miphoneos-version-min=${IOS_VERSION_MIN}"
+-      iossim_sdk_dir="$(show_darwin_sdk_path iphonesimulator)"
+-      if [ -d "${iossim_sdk_dir}" ]; then
+-        add_cflags  "-isysroot ${iossim_sdk_dir}"
+-        add_ldflags "-isysroot ${iossim_sdk_dir}"
+-      fi
+-      ;;
+-  esac
 -
-     # Handle Solaris variants. Solaris 10 needs -lposix4
-     case ${toolchain} in
-         sparc-solaris-*)
-@@ -1018,11 +949,6 @@
-     x86*)
-         bits=32
-         enabled x86_64 && bits=64
--        check_cpp <<EOF && bits=x32
--#ifndef __ILP32__
--#error "not x32"
--#endif
--EOF
- 
-         case  ${tgt_os} in
-             win*)
+   # Handle Solaris variants. Solaris 10 needs -lposix4
+   case ${toolchain} in
+     sparc-solaris-*)
Index: files/patch-configure.diff
===================================================================
--- files/patch-configure.diff	(revision 137058)
+++ files/patch-configure.diff	(working copy)
@@ -1,41 +1,36 @@
---- configure.orig	2014-01-10 12:12:42.000000000 -0800
-+++ configure	2014-03-01 21:48:09.000000000 -0800
-@@ -104,9 +104,11 @@
+--- configure.orig	2015-04-03 13:49:19.000000000 -0500
++++ configure	2015-06-02 13:24:29.000000000 -0500
+@@ -112,14 +112,17 @@
+ all_platforms="${all_platforms} armv7s-darwin-gcc"
  all_platforms="${all_platforms} mips32-linux-gcc"
+ all_platforms="${all_platforms} mips64-linux-gcc"
++all_platforms="${all_platforms} ppc32-darwin-gcc"
  all_platforms="${all_platforms} ppc32-darwin8-gcc"
  all_platforms="${all_platforms} ppc32-darwin9-gcc"
-+all_platforms="${all_platforms} ppc32-darwin-gcc"
  all_platforms="${all_platforms} ppc32-linux-gcc"
++all_platforms="${all_platforms} ppc64-darwin-gcc"
  all_platforms="${all_platforms} ppc64-darwin8-gcc"
  all_platforms="${all_platforms} ppc64-darwin9-gcc"
-+all_platforms="${all_platforms} ppc64-darwin-gcc"
  all_platforms="${all_platforms} ppc64-linux-gcc"
  all_platforms="${all_platforms} sparc-solaris-gcc"
  all_platforms="${all_platforms} x86-android-gcc"
-@@ -118,6 +120,8 @@
- all_platforms="${all_platforms} x86-darwin11-gcc"
- all_platforms="${all_platforms} x86-darwin12-gcc"
- all_platforms="${all_platforms} x86-darwin13-gcc"
 +all_platforms="${all_platforms} x86-darwin-gcc"
-+all_platforms="${all_platforms} x86-darwin-clang"
- all_platforms="${all_platforms} x86-linux-gcc"
- all_platforms="${all_platforms} x86-linux-icc"
- all_platforms="${all_platforms} x86-os2-gcc"
-@@ -134,6 +138,8 @@
+ all_platforms="${all_platforms} x86-darwin8-gcc"
+ all_platforms="${all_platforms} x86-darwin8-icc"
+ all_platforms="${all_platforms} x86-darwin9-gcc"
+@@ -141,6 +144,7 @@
+ all_platforms="${all_platforms} x86-win32-vs10"
+ all_platforms="${all_platforms} x86-win32-vs11"
+ all_platforms="${all_platforms} x86-win32-vs12"
++all_platforms="${all_platforms} x86_64-darwin-gcc"
+ all_platforms="${all_platforms} x86_64-darwin9-gcc"
+ all_platforms="${all_platforms} x86_64-darwin10-gcc"
  all_platforms="${all_platforms} x86_64-darwin11-gcc"
- all_platforms="${all_platforms} x86_64-darwin12-gcc"
- all_platforms="${all_platforms} x86_64-darwin13-gcc"
-+all_platforms="${all_platforms} x86_64-darwin-gcc"
-+all_platforms="${all_platforms} x86_64-darwin-clang"
- all_platforms="${all_platforms} x86_64-linux-gcc"
- all_platforms="${all_platforms} x86_64-linux-icc"
- all_platforms="${all_platforms} x86_64-solaris-gcc"
-@@ -149,6 +155,8 @@
- all_platforms="${all_platforms} universal-darwin11-gcc"
- all_platforms="${all_platforms} universal-darwin12-gcc"
- all_platforms="${all_platforms} universal-darwin13-gcc"
+@@ -157,6 +161,7 @@
+ all_platforms="${all_platforms} x86_64-win64-vs10"
+ all_platforms="${all_platforms} x86_64-win64-vs11"
+ all_platforms="${all_platforms} x86_64-win64-vs12"
 +all_platforms="${all_platforms} universal-darwin-gcc"
-+all_platforms="${all_platforms} universal-darwin-clang"
- all_platforms="${all_platforms} generic-gnu"
- 
- # all_targets is a list of all targets that can be configured
+ all_platforms="${all_platforms} universal-darwin8-gcc"
+ all_platforms="${all_platforms} universal-darwin9-gcc"
+ all_platforms="${all_platforms} universal-darwin10-gcc"