Index: Portfile
===================================================================
--- Portfile	(revision 110528)
+++ Portfile	(working copy)
@@ -2,12 +2,13 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           python27 1.0
+PortGroup           python 1.0
 PortGroup           wxWidgets 1.0
 
 name                relax
-version             2.2.4
+version             3.0.0
 categories          science python chemistry
+license             GPL-3
 maintainers         bromo.med.uc.edu:howarth
 description         Protein dynamics by NMR relax. data analysis
 long_description    The program relax is designed for the study of the \
@@ -18,20 +19,27 @@
 master_sites        http://download.gna.org/relax/
 distfiles           ${name}-${version}.src.tar.bz2
 dist_subdir         ${name}
-checksums           md5     0b8c7b357f7ca662506ee339dd41cbd7 \
-                    sha1    e0c3548566ae8b44ed9f761600568180a5de2224 \
-                    rmd160  815834bc2f6b63a4f2fa0f68839de25166694274
+checksums           md5     eb89c6879545973de95d58797f584301 \
+                    sha1    f0cc6716d44bcbf4b8fd6b73d6d5847e738700fc \
+                    rmd160  7124ecee5c35eb8935c966759b6707a26fce7fe1
 use_bzip2           yes
-depends_lib-append  port:scons port:py27-scipy port:py27-numpy \
-                    port:py27-wxpython-3.0 port:pymol
+
+python.default_version 27
+
+depends_build-append \
+                    port:scons
+depends_lib-append  port:pymol \
+                    port:py${python.version}-scipy \
+                    port:py${python.version}-numpy \
+                    port:py${python.version}-wxpython-3.0
 patchfiles          relax.patch
 post-patch {
     reinplace  "s|'i386', 'ppc', 'x86_64'|'${build_arch}'|g" ${worksrcpath}/sconstruct
     reinplace  "s|cflags = '-I'|cflags = '-O3 -ffast-math -funroll-loops -I'|g" ${worksrcpath}/sconstruct
     reinplace  "s|@DEST_ROOT@|${destroot}|g" ${worksrcpath}/sconstruct
+    reinplace  "s|@PYTHON_BIN@|${python.bin}|g" ${worksrcpath}/relax
     reinplace  "s|@PYTHON_INCL@|${python.include}|g" ${worksrcpath}/sconstruct
-    reinplace  "s|@PREFIX@|${prefix}|g" ${worksrcpath}/sconstruct \
-                                        ${worksrcpath}/relax
+    reinplace  "s|@PREFIX@|${prefix}|g" ${worksrcpath}/sconstruct
 }
 build.cmd           ${prefix}/bin/scons
 build.target
Index: files/relax.patch
===================================================================
--- files/relax.patch	(revision 110528)
+++ files/relax.patch	(working copy)
@@ -1,6 +1,6 @@
 --- sconstruct.orig	2012-10-17 10:28:31.000000000 -0400
 +++ sconstruct	2013-01-13 17:36:49.000000000 -0500
-@@ -100,7 +100,7 @@
+@@ -99,7 +99,7 @@
      SYS = SYSTEM
  
      # Mac OS X installation path.
@@ -9,7 +9,7 @@
  
  
  # All other operating systems.
-@@ -120,13 +120,12 @@
+@@ -119,13 +119,12 @@
  RELAX_PATH = INSTALL_PATH + sep + 'relax'
  
  # Installation path for binaries.
@@ -24,7 +24,7 @@
  # The distribution files.
  #########################
  
-@@ -533,11 +532,11 @@
+@@ -532,11 +531,11 @@
                   'relax_fit.c']
  
          # Construct the python include path (for Python.h).
@@ -37,12 +37,12 @@
 +        py_bin_minpath = '@PREFIX@'+ path.sep + 'bin'
          py_bin_fullpath = py_bin_minpath + path.sep + 'python' + `sys.version_info[0]` + '.' + `sys.version_info[1]`
  
-         # Get the numpy include path (for numpy/arrayobject.h).
+         # Relaxation curve fitting build environment.
 --- relax.orig	2012-06-11 05:51:33.000000000 -0400
 +++ relax	2012-06-16 17:03:52.000000000 -0400
 @@ -1,4 +1,4 @@
 -#! /usr/bin/env python
-+#!@PREFIX@/bin/python2.7
++#!@PYTHON_BIN@
  
  # Import the relax module.
  import relax
@@ -65,3 +65,17 @@
  
      # Final printout.
      print("\n\n\n")
+========================
+fixed upstream in r20596
+========================
+--- test_suite/shared_data/frame_order/cam/pseudo_ellipse_free_rotor/frame_order_pseudo_ellipse.py.orig
++++ test_suite/shared_data/frame_order/cam/pseudo_ellipse_free_rotor/frame_order_pseudo_ellipse.py
+@@ -151,7 +151,7 @@ class Analysis:
+ 
+         # PyMOL.
+         pymol.view()
+-        pymol.command('show spheres'_pseudo_ellipse)
++        pymol.command('show spheres')
+         pymol.cone_pdb('cone_pseudo_ellipse.pdb')
+ 
+ 