--- Portfile.orig	2013-09-16 09:37:38.000000000 +0200
+++ Portfile	2013-09-16 09:41:13.000000000 +0200
@@ -25,7 +25,7 @@
                       port:p${perl5.major}-test-yaml-meta \
                       port:p${perl5.major}-test-warn
 
-variant postgresql7 conflicts postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 description {build with postgresql7 port} {
+variant postgresql7 conflicts postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql7 port} {
     depends_lib-append      port:postgresql7
 
     configure.env           PATH=${prefix}/lib/pgsql7/bin:$env(PATH) \
@@ -33,7 +33,7 @@
                             POSTGRES_LIB="${prefix}/lib/pgsql7 -lssl"
 }
 
-variant postgresql80 conflicts postgresql7 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 description {build with postgresql80 port} {
+variant postgresql80 conflicts postgresql7 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql80 port} {
     depends_lib-append      port:postgresql80
 
     configure.env           PATH=${prefix}/lib/pgsql8/bin:$env(PATH) \
@@ -41,7 +41,7 @@
                             POSTGRES_LIB="${prefix}/lib/pgsql8 -lssl"
 }
 
-variant postgresql81 conflicts postgresql7 postgresql80 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 description {build with postgresql81 port} {
+variant postgresql81 conflicts postgresql7 postgresql80 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql81 port} {
     depends_lib-append      port:postgresql81
 
     configure.env           PATH=${prefix}/lib/postgresql81/bin:$env(PATH) \
@@ -49,7 +49,7 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql81 -lssl"
 }
 
-variant postgresql82 conflicts postgresql7 postgresql80 postgresql81 postgresql83 postgresql84 postgresql90 postgresql91 description {build with postgresql82 port} {
+variant postgresql82 conflicts postgresql7 postgresql80 postgresql81 postgresql83 postgresql84 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql82 port} {
     depends_lib-append      port:postgresql82
 
     configure.env           PATH=${prefix}/lib/postgresql82/bin:$env(PATH) \
@@ -57,7 +57,7 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql82 -lssl"
 }
 
-variant postgresql83 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql84 postgresql90 postgresql91 description {build with postgresql83 port} {
+variant postgresql83 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql84 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql83 port} {
     depends_lib-append      port:postgresql83
 
     configure.env           PATH=${prefix}/lib/postgresql83/bin:$env(PATH) \
@@ -65,7 +65,7 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql83 -lssl"
 }
 
-variant postgresql84 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql90 postgresql91 description {build with postgresql84 port} {
+variant postgresql84 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql90 postgresql91 postgresql92 postgresql93 description {build with postgresql84 port} {
     depends_lib-append      port:postgresql84
 
     configure.env           PATH=${prefix}/lib/postgresql84/bin:$env(PATH) \
@@ -73,7 +73,7 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql84 -lssl"
 }
 
-variant postgresql90 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql91 description {build with postgresql90 port} {
+variant postgresql90 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql91 postgresql92 postgresql93 description {build with postgresql90 port} {
     depends_lib-append      port:postgresql90
 
     configure.env           PATH=${prefix}/lib/postgresql90/bin:$env(PATH) \
@@ -81,7 +81,7 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql90 -lssl"
 }
 
-variant postgresql91 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 description {build with postgresql91 port} {
+variant postgresql91 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql92 postgresql93 description {build with postgresql91 port} {
     depends_lib-append      port:postgresql91
 
     configure.env           PATH=${prefix}/lib/postgresql91/bin:$env(PATH) \
@@ -89,8 +89,24 @@
                             POSTGRES_LIB="${prefix}/lib/postgresql91 -lssl"
 }
 
+variant postgresql92 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 postgresql93 description {build with postgresql92 port} {
+    depends_lib-append      port:postgresql92
+
+    configure.env           PATH=${prefix}/lib/postgresql92/bin:$env(PATH) \
+                            POSTGRES_INCLUDE="${prefix}/include/postgresql92" \
+                            POSTGRES_LIB="${prefix}/lib/postgresql92 -lssl"
+}
+
+variant postgresql93 conflicts postgresql7 postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 postgresql90 postgresql91 postgresql92 description {build with postgresql93 port} {
+    depends_lib-append      port:postgresql93
+
+    configure.env           PATH=${prefix}/lib/postgresql93/bin:$env(PATH) \
+                            POSTGRES_INCLUDE="${prefix}/include/postgresql93" \
+                            POSTGRES_LIB="${prefix}/lib/postgresql93 -lssl"
+}
+
 # Default to latest release
-if {![variant_isset postgresql7] && ![variant_isset postgresql80] && ![variant_isset postgresql81] && ![variant_isset postgresql82] && ![variant_isset postgresql83] && ![variant_isset postgresql84] && ![variant_isset postgresql90] && ![variant_isset postgresql91]} {
-    default_variants        +postgresql91
+if {![variant_isset postgresql7] && ![variant_isset postgresql80] && ![variant_isset postgresql81] && ![variant_isset postgresql82] && ![variant_isset postgresql83] && ![variant_isset postgresql84] && ![variant_isset postgresql90] && ![variant_isset postgresql91] && ![variant_isset postgresql92] && ![variant_isset postgresql93]} {
+    default_variants        +postgresql93
 }
 }