diff -ruN macports-release-recoll/Portfile recoll/Portfile
--- macports-release-recoll/Portfile	2013-07-15 18:02:48.000000000 +0200
+++ recoll/Portfile	2013-10-08 16:20:11.000000000 +0200
@@ -1,12 +1,11 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 96038 2012-07-30 02:14:11Z dports@macports.org $
+# $Id$
 
 PortSystem          1.0
 PortGroup           app 1.0
 
 name                recoll
-version             1.17.2
-revision        1
+version             1.19.7
 categories          textproc
 platforms           darwin
 license             GPL-2+
@@ -19,8 +18,8 @@
 homepage            http://www.recoll.org/
 master_sites        ${homepage}
 
-checksums           rmd160  be6752c9a36cd9708ab49bbf1eba445f0eb8f623 \
-                    sha256  8fa0419ca78bdeca4a18e36d252a9e8254112653499c47b407b178c9f2e58a2a
+checksums           rmd160  a22658e9ce855718b2d3dfcf69bd980130f54c6a \
+                    sha256  6d647f4c17282994cefb37e068cfb571cf9de14a22087701c59ff8c78a4e0b9d
 
 depends_lib         port:xapian-core \
                     port:qt4-mac \
@@ -35,8 +34,10 @@
                     port:unrtf \
                     port:unzip
 
-patchfiles          patch-configure.diff \
-                    patch-sampleconf-mimeview.diff
+patchfiles         patch-configure.diff	\
+                   patch-recollinstall.diff \
+                   patch-qtgui-rclmain.diff	\
+                   patch-sampleconf-mimeview.diff
 
 configure.args      --without-x \
                     --disable-x11mon
diff -ruN macports-release-recoll/files/patch-configure.diff recoll/files/patch-configure.diff
--- macports-release-recoll/files/patch-configure.diff	2013-07-15 18:02:48.000000000 +0200
+++ recoll/files/patch-configure.diff	2013-10-08 16:07:47.000000000 +0200
@@ -1,11 +1,130 @@
---- configure.orig	2012-05-19 08:10:35.000000000 +0200
-+++ configure	2012-05-19 08:10:47.000000000 +0200
-@@ -4409,7 +4409,7 @@
- LIBICONV=""
- S_LDFLAGS=$LDFLAGS
- S_CPPFLAGS=$CPPFLAGS
--for dir in ${libdir} /opt/local/lib /usr/local/lib ;do
-+for dir in ${libdir} ;do
-   CPPFLAGS="$S_CPPFLAGS -I$dir/../include"
+# HG changeset patch
+# User Jean-Francois Dockes <jfd@recoll.org>
+# Date 1381233803 -7200
+# Node ID 1e6e8586ee1f058f58fef5ebba5ae49d8267bee1
+# Parent  65a7041abbe6e64f6597d5cf27690e91014a85d4
+autoconfig out things that dont work currently on mac os x
+
+diff --git a/src/configure b/src/configure
+--- configure
++++ configure
+@@ -1,6 +1,6 @@
+ #! /bin/sh
+ # Guess values for system-dependent variables and create Makefiles.
+-# Generated by GNU Autoconf 2.69 for Recoll 1.19.5.
++# Generated by GNU Autoconf 2.69 for Recoll 1.20.0.
+ #
+ #
+ # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
+@@ -577,8 +577,8 @@
+ # Identity of this package.
+ PACKAGE_NAME='Recoll'
+ PACKAGE_TARNAME='recoll'
+-PACKAGE_VERSION='1.19.5'
+-PACKAGE_STRING='Recoll 1.19.5'
++PACKAGE_VERSION='1.20.0'
++PACKAGE_STRING='Recoll 1.20.0'
+ PACKAGE_BUGREPORT=''
+ PACKAGE_URL=''
+ 
+@@ -623,6 +623,7 @@
+ LIBOBJS
+ RCLLIBVERSION
+ RCLVERSION
++NODYNLIB
+ NOPYTHON
+ NOTHREADS
+ NOPIC
+@@ -1281,7 +1282,7 @@
+   # Omit some internal or obsolete options to make the list less imposing.
+   # This message is too long to be a string in the A/UX 3.1 sh.
+   cat <<_ACEOF
+-\`configure' configures Recoll 1.19.5 to adapt to many kinds of systems.
++\`configure' configures Recoll 1.20.0 to adapt to many kinds of systems.
+ 
+ Usage: $0 [OPTION]... [VAR=VALUE]...
+ 
+@@ -1346,7 +1347,7 @@
+ 
+ if test -n "$ac_init_help"; then
+   case $ac_init_help in
+-     short | recursive ) echo "Configuration of Recoll 1.19.5:";;
++     short | recursive ) echo "Configuration of Recoll 1.20.0:";;
+    esac
+   cat <<\_ACEOF
+ 
+@@ -1475,7 +1476,7 @@
+ test -n "$ac_init_help" && exit $ac_status
+ if $ac_init_version; then
+   cat <<\_ACEOF
+-Recoll configure 1.19.5
++Recoll configure 1.20.0
+ generated by GNU Autoconf 2.69
+ 
+ Copyright (C) 2012 Free Software Foundation, Inc.
+@@ -2028,7 +2029,7 @@
+ This file contains any messages produced by compilers while
+ running configure, to aid debugging if configure makes a mistake.
+ 
+-It was created by Recoll $as_me 1.19.5, which was
++It was created by Recoll $as_me 1.20.0, which was
+ generated by GNU Autoconf 2.69.  Invocation command line was
+ 
+   $ $0 $@
+@@ -2910,6 +2911,12 @@
+ fi
+ (cd mk; rm -f sysconf; ln -s $sys sysconf)
+ 
++# There a few Recoll users on Mac OS X and a few things are just not worth
++# supporting
++if test X$sys = XDarwin ; then
++   NODYNLIB=#
++fi
++
+ ac_ext=c
+ ac_cpp='$CPP $CPPFLAGS'
+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+@@ -4402,6 +4409,7 @@
+ #   configure --disable-python-module; make; make install;make clean
+ #   configure; make; cd python/recoll; make install
+ #
++if test X$sys != XDarwin ; then
+ # Check whether --enable-python-module was given.
+ if test "${enable_python_module+set}" = set; then :
+   enableval=$enable_python_module; pythonEnabled=$enableval
+@@ -4414,6 +4422,9 @@
+ else
+   NOPYTHON="#"
+ fi
++else
++  NOPYTHON="#"
++fi
+ 
+ # Build PIC objects for the library ?
+ # Check whether --enable-pic was given.
+@@ -5826,6 +5837,7 @@
+ 
+ 
+ 
++
+ # All object files depend on localdefs which has the cc flags. Avoid
+ # changing it unless necessary
+ ac_config_files="$ac_config_files mk/localdefs.new:mk/localdefs.in"
+@@ -6355,7 +6367,7 @@
+ # report actual input values of CONFIG_FILES etc. instead of their
+ # values after options handling.
+ ac_log="
+-This file was extended by Recoll $as_me 1.19.5, which was
++This file was extended by Recoll $as_me 1.20.0, which was
+ generated by GNU Autoconf 2.69.  Invocation command line was
+ 
+   CONFIG_FILES    = $CONFIG_FILES
+@@ -6417,7 +6429,7 @@
+ cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
+ ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
+ ac_cs_version="\\
+-Recoll config.status 1.19.5
++Recoll config.status 1.20.0
+ configured by $0, generated by GNU Autoconf 2.69,
+   with options \\"\$ac_cs_config\\"
  
-   LDFLAGS="$S_LDFLAGS -L$dir"
diff -ruN macports-release-recoll/files/patch-qtgui-rclmain.diff recoll/files/patch-qtgui-rclmain.diff
--- macports-release-recoll/files/patch-qtgui-rclmain.diff	1970-01-01 01:00:00.000000000 +0100
+++ recoll/files/patch-qtgui-rclmain.diff	2013-10-08 16:08:06.000000000 +0200
@@ -0,0 +1,96 @@
+# HG changeset patch
+# User Jean-Francois Dockes <jfd@recoll.org>
+# Date 1381170223 -7200
+# Node ID 79dcd7fa03797b6b51720025b3c3276395523c38
+# Parent  7ea9fe8dc5be75557130245d7b24526a25376eb4
+replace deprecated qt action::activated() with action::triggered()
+
+diff --git a/src/qtgui/rclmain_w.cpp b/src/qtgui/rclmain_w.cpp
+--- qtgui/rclmain_w.cpp
++++ qtgui/rclmain_w.cpp
+@@ -233,51 +233,51 @@
+ 	    this, SLOT(setStemLang(QAction*)));
+     connect(preferencesMenu, SIGNAL(aboutToShow()),
+ 	    this, SLOT(adjustPrefsMenu()));
+-    connect(fileExitAction, SIGNAL(activated() ), 
++    connect(fileExitAction, SIGNAL(triggered() ), 
+ 	    this, SLOT(fileExit() ) );
+-    connect(fileToggleIndexingAction, SIGNAL(activated()), 
++    connect(fileToggleIndexingAction, SIGNAL(triggered()), 
+ 	    this, SLOT(toggleIndexing()));
+-    connect(fileRebuildIndexAction, SIGNAL(activated()), 
++    connect(fileRebuildIndexAction, SIGNAL(triggered()), 
+ 	    this, SLOT(rebuildIndex()));
+-    connect(fileEraseDocHistoryAction, SIGNAL(activated()), 
++    connect(fileEraseDocHistoryAction, SIGNAL(triggered()), 
+ 	    this, SLOT(eraseDocHistory()));
+-    connect(fileEraseSearchHistoryAction, SIGNAL(activated()), 
++    connect(fileEraseSearchHistoryAction, SIGNAL(triggered()), 
+ 	    this, SLOT(eraseSearchHistory()));
+-    connect(helpAbout_RecollAction, SIGNAL(activated()), 
++    connect(helpAbout_RecollAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showAboutDialog()));
+-    connect(showMissingHelpers_Action, SIGNAL(activated()), 
++    connect(showMissingHelpers_Action, SIGNAL(triggered()), 
+ 	    this, SLOT(showMissingHelpers()));
+-    connect(showActiveTypes_Action, SIGNAL(activated()), 
++    connect(showActiveTypes_Action, SIGNAL(triggered()), 
+ 	    this, SLOT(showActiveTypes()));
+-    connect(userManualAction, SIGNAL(activated()), 
++    connect(userManualAction, SIGNAL(triggered()), 
+ 	    this, SLOT(startManual()));
+-    connect(toolsDoc_HistoryAction, SIGNAL(activated()), 
++    connect(toolsDoc_HistoryAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showDocHistory()));
+-    connect(toolsAdvanced_SearchAction, SIGNAL(activated()), 
++    connect(toolsAdvanced_SearchAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showAdvSearchDialog()));
+-    connect(toolsSpellAction, SIGNAL(activated()), 
++    connect(toolsSpellAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showSpellDialog()));
+-    connect(indexConfigAction, SIGNAL(activated()), 
++    connect(indexConfigAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showIndexConfig()));
+-    connect(indexScheduleAction, SIGNAL(activated()), 
++    connect(indexScheduleAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showIndexSched()));
+-    connect(queryPrefsAction, SIGNAL(activated()), 
++    connect(queryPrefsAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showUIPrefs()));
+-    connect(extIdxAction, SIGNAL(activated()), 
++    connect(extIdxAction, SIGNAL(triggered()), 
+ 	    this, SLOT(showExtIdxDialog()));
+ 
+     if (prefs.catgToolBar && catgCMB)
+ 	connect(catgCMB, SIGNAL(activated(int)), 
+ 		this, SLOT(catgFilter(int)));
+-    connect(toggleFullScreenAction, SIGNAL(activated()), 
++    connect(toggleFullScreenAction, SIGNAL(triggered()), 
+             this, SLOT(toggleFullScreen()));
+-    connect(actionShowQueryDetails, SIGNAL(activated()),
++    connect(actionShowQueryDetails, SIGNAL(triggered()),
+ 	    reslist, SLOT(showQueryDetails()));
+     connect(periodictimer, SIGNAL(timeout()), 
+ 	    this, SLOT(periodic100()));
+ 
+     restable->setRclMain(this, true);
+-    connect(actionSaveResultsAsCSV, SIGNAL(activated()), 
++    connect(actionSaveResultsAsCSV, SIGNAL(triggered()), 
+ 	    restable, SLOT(saveAsCSV()));
+     connect(this, SIGNAL(docSourceChanged(RefCntr<DocSequence>)),
+ 	    restable, SLOT(setDocSource(RefCntr<DocSequence>)));
+@@ -309,11 +309,11 @@
+     reslist->setRclMain(this, true);
+     connect(this, SIGNAL(docSourceChanged(RefCntr<DocSequence>)),
+ 	    reslist, SLOT(setDocSource(RefCntr<DocSequence>)));
+-    connect(firstPageAction, SIGNAL(activated()), 
++    connect(firstPageAction, SIGNAL(triggered()), 
+ 	    reslist, SLOT(resultPageFirst()));
+-    connect(prevPageAction, SIGNAL(activated()), 
++    connect(prevPageAction, SIGNAL(triggered()), 
+ 	    reslist, SLOT(resPageUpOrBack()));
+-    connect(nextPageAction, SIGNAL(activated()),
++    connect(nextPageAction, SIGNAL(triggered()),
+ 	    reslist, SLOT(resPageDownOrNext()));
+     connect(this, SIGNAL(searchReset()), 
+ 	    reslist, SLOT(resetList()));
diff -ruN macports-release-recoll/files/patch-recollinstall.diff recoll/files/patch-recollinstall.diff
--- macports-release-recoll/files/patch-recollinstall.diff	1970-01-01 01:00:00.000000000 +0100
+++ recoll/files/patch-recollinstall.diff	2013-10-08 16:11:01.000000000 +0200
@@ -0,0 +1,62 @@
+# HG changeset patch
+# User Jean-Francois Dockes <jfd@recoll.org>
+# Date 1381232776 -7200
+# Node ID 65a7041abbe6e64f6597d5cf27690e91014a85d4
+# Parent  0adf8145feafe2808202ba8c4cd73e4bac66acd8
+autoconfig out things that dont work currently on mac os x
+
+diff --git a/src/configure.ac b/src/configure.ac
+--- configure.ac
++++ configure.ac
+@@ -21,6 +21,12 @@
+ fi
+ (cd mk; rm -f sysconf; ln -s $sys sysconf)
+ 
++# There a few Recoll users on Mac OS X and a few things are just not worth
++# supporting
++if test X$sys = XDarwin ; then
++   NODYNLIB=#
++fi
++
+ AC_SYS_LARGEFILE
+ 
+ # OpenBSD needs sys/param.h for mount.h to compile
+@@ -219,6 +225,7 @@
+ #   configure --disable-python-module; make; make install;make clean
+ #   configure; make; cd python/recoll; make install
+ #
++if test X$sys != XDarwin ; then
+ AC_ARG_ENABLE(python-module,
+     AC_HELP_STRING([--disable-python-module],
+    [Do not build the Python module.]),
+@@ -228,6 +235,9 @@
+ else
+   NOPYTHON="#"
+ fi
++else
++  NOPYTHON="#"
++fi
+ 
+ # Build PIC objects for the library ?
+ AC_ARG_ENABLE(pic,
+@@ -562,6 +572,7 @@
+ AC_SUBST(NOPIC)
+ AC_SUBST(NOTHREADS)
+ AC_SUBST(NOPYTHON)
++AC_SUBST(NODYNLIB)
+ AC_SUBST(RCLVERSION)
+ AC_SUBST(RCLLIBVERSION)
+ 
+diff --git a/src/recollinstall.in b/src/recollinstall.in
+--- recollinstall.in
++++ recollinstall.in
+@@ -117,7 +117,8 @@
+ ${INSTALL} -m 0755 index/recollindex ${bindir} || exit 1
+ ${STRIP} ${bindir}/recollindex
+ 
+-${INSTALL} -m 0644 lib/librecoll.so.${RCLLIBVERSION} ${libdir}/recoll/ || exit 1
++@NODYNLIB@${INSTALL} -m 0644 lib/librecoll.so.${RCLLIBVERSION} \
++@NODYNLIB@    ${libdir}/recoll/ || exit 1
+ 
+ ${INSTALL} -m 0755 filters/rcl* ${datadir}/recoll/filters/ || exit 1
+ for f in rclexecm.py rcllatinstops.zip;do
diff -ruN macports-release-recoll/files/patch-sampleconf-mimeview.diff recoll/files/patch-sampleconf-mimeview.diff
--- macports-release-recoll/files/patch-sampleconf-mimeview.diff	2013-07-15 18:02:48.000000000 +0200
+++ recoll/files/patch-sampleconf-mimeview.diff	2013-10-08 16:23:24.000000000 +0200
@@ -1,143 +1,147 @@
---- sampleconf/mimeview	2012-05-04 09:49:33.000000000 +0200
-+++ sampleconf/mimeview.mac	2012-05-19 08:05:00.000000000 +0200
+--- sampleconf/mimeview	2013-09-30 18:45:06.000000000 +0200
++++ sampleconf/mimeview.mac	2013-09-30 18:45:06.000000000 +0200
 @@ -2,7 +2,8 @@
  
  ## ##########################################
  # External viewers, launched by the recoll GUI when you click on a result
 -# 'edit' link
 +# 'Open' link - MAC version
-+# On the MAC, we basically use "open" for everything...
++# On the MAC, we use "open" for everything...
  
  # Mime types which we should not uncompress if they are found gzipped or
  # bzipped because the native viewer knows how to handle. These would be
-@@ -11,82 +12,79 @@
+@@ -16,20 +17,17 @@
+ #    search string
+ #  - For pages of CHM and EPUB documents where we can choose to open the 
+ #    parent document instead of a temporary html file.
+-xallexcepts = application/pdf application/postscript application/x-dvi \
+- text/html|gnuinfo text/html|chm text/html|epub \
+- application/x-fsdirectory|parentopen inode/directory|parentopen
++#xallexcepts = application/pdf application/postscript application/x-dvi \
++#            text/html|gnuinfo text/html|chm text/html|epub
  
  [view]
  # Pseudo entry used if the 'use desktop' preference is set in the GUI
--application/x-all = xdg-open %f
+-application/x-all = xdg-open %u
 +application/x-all = open %f
  
- application/x-kword = kword %f
- application/x-abiword = abiword %f
- 
--application/pdf  = okular %f
--application/postscript = okular %f
--application/x-dvi = okular %f
-+application/pdf  = open %f
-+application/postscript = open %f
-+application/x-dvi = open %f
- 
- application/x-lyx = lyx %f
- application/x-scribus = scribus %f
- 
--application/msword = libreoffice %f
--application/vnd.ms-excel = libreoffice %f
--application/vnd.ms-powerpoint = libreoffice %f
-+application/msword = open %f
-+application/vnd.ms-excel = open %f
-+application/vnd.ms-powerpoint = open %f
- 
- application/vnd.openxmlformats-officedocument.wordprocessingml.document = \
-- libreoffice %f
-+ open %f
- application/vnd.openxmlformats-officedocument.wordprocessingml.template = \
-- libreoffice %f
-+ open %f
- application/vnd.openxmlformats-officedocument.presentationml.template = \
-- libreoffice %f
-+ open %f
- application/vnd.openxmlformats-officedocument.presentationml.presentation = \
-- libreoffice %f
-+ open %f
- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet = \
-- libreoffice %f
-+ open %f
- application/vnd.openxmlformats-officedocument.spreadsheetml.template =\
-- libreoffice %f
--application/vnd.sun.xml.calc = libreoffice %f
--application/vnd.sun.xml.calc.template = libreoffice %f
--application/vnd.sun.xml.draw = libreoffice %f
--application/vnd.sun.xml.draw.template = libreoffice %f
--application/vnd.sun.xml.impress = libreoffice %f
--application/vnd.sun.xml.impress.template = libreoffice %f
--application/vnd.sun.xml.math = libreoffice %f
--application/vnd.sun.xml.writer = libreoffice %f
--application/vnd.sun.xml.writer.global = libreoffice %f
--application/vnd.sun.xml.writer.template = libreoffice %f
--application/vnd.wordperfect = libreoffice %f
-+ open %f
-+application/vnd.sun.xml.calc = open %f
-+application/vnd.sun.xml.calc.template = open %f
-+application/vnd.sun.xml.draw = open %f
-+application/vnd.sun.xml.draw.template = open %f
-+application/vnd.sun.xml.impress = open %f
-+application/vnd.sun.xml.impress.template = open %f
-+application/vnd.sun.xml.math = open %f
-+application/vnd.sun.xml.writer = open %f
-+application/vnd.sun.xml.writer.global = open %f
-+application/vnd.sun.xml.writer.template = open %f
-+application/vnd.wordperfect = open %f
+ application/epub+zip = ebook-viewer %f
+-# Open the parent epub document for epub parts instead of opening them as
+-# html documents. This is almost always what we want.
+-text/html|epub = ebook-viewer %F;ignoreipath=1
+-
+-application/x-gnote = gnote %f
++# If you want to open the parent epub document for epub parts instead of
++# opening them as html documents:
++#text/html|epub = ebook-viewer %F;ignoreipath=1
+ 
+ application/x-mobipocket-ebook = ebook-viewer %f
+ 
+@@ -76,13 +74,9 @@
+ application/vnd.wordperfect = libreoffice %f
+ text/rtf = libreoffice %f
  
- application/x-chm = kchmviewer %f
++application/x-chm = kchmviewer %f
  application/x-dia-diagram = dia %f
--application/x-fsdirectory = dolphin %f
-+application/x-fsdirectory = open %f
+-
+ application/x-fsdirectory = dolphin %f
+-inode/directory = dolphin %f
+-application/x-fsdirectory|parentopen = dolphin --select %(childurl) %f
+-inode/directory|parentopen = dolphin --select %(childurl) %f
+-
  application/x-gnuinfo = xterm -e "info -f %f"
  application/x-gnumeric = gnumeric %f
  
--application/x-flac = rhythmbox %f
--audio/mpeg = rhythmbox %f
--application/ogg = rhythmbox %f
--
--image/jpeg = gwenview %f
--image/png = gwenview %f
--image/tiff = gwenview %f
--image/gif  = gwenview %f
--image/svg+xml = inkview %f
--image/vnd.djvu = djview %f
--image/x-xcf = gimp %f
--image/bmp = gwenview %f
--image/x-ms-bmp = gwenview %f
--image/x-xpmi = gwenview %f
-+application/x-flac = open %f
-+audio/mpeg = open %f
-+application/ogg = open %f
-+
-+image/jpeg = open %f
-+image/png = open %f
-+image/tiff = open %f
-+image/gif  = open %f
-+image/svg+xml = open %f
-+image/vnd.djvu = open %f
-+image/x-xcf = open %f
-+image/bmp = open %f
-+image/x-ms-bmp = open %f
-+image/x-xpmi = open %f
- 
+@@ -102,11 +96,6 @@
+ image/x-ms-bmp = gwenview %f
+ image/x-xpmi = gwenview %f
+ 
+-# Opening mail messages not always works. 
+-#  - Thunderbird will only open a single-message file if it has an .emf
+-#    extension
+-#  - "sylpheed %f" seems to work ok as of version 3.3
+-#  - "kmail --view %u" works
  message/rfc822 = thunderbird -file %f
  text/x-mail = thunderbird -file %f
- 
--application/x-tex = emacsclient  %f
--text/x-tex = emacsclient  %f
--# Or firefox -remote "openFile(%u)"
--text/html = firefox %u
-+application/x-tex = open %f
-+text/x-tex = open %f
-+text/html = open %u
- text/html|gnuinfo = rclshowinfo %F %(title)
--text/plain = emacsclient  %f
--text/x-c = emacsclient  %f
--text/x-c+ = emacsclient  %f
--text/x-c++ = emacsclient  %f
--text/x-html-sidux-man = konqueror %f
--text/x-html-aptosid-man = iceweasel %f
-+text/plain = open %f
-+text/x-c = open %f
-+text/x-c+ = open %f
-+text/x-c++ = open %f
- text/x-chm-html = openchm %f %i
--text/x-ini = emacsclient  %f
--text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
-+text/x-ini = open  %f
-+#text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
+ application/x-mimehtml = thunderbird -file %f
+@@ -119,11 +108,11 @@
+ application/x-tar = ark %f
+ application/zip = ark %f
+ 
+-application/x-awk = emacsclient --no-wait %f
+-application/x-perl = emacsclient --no-wait %f
+-text/x-perl = emacsclient --no-wait %f
+-application/x-shellscript = emacsclient --no-wait %f
+-text/x-shellscript = emacsclient --no-wait %f
++application/x-awk = emacsclient  %f
++application/x-perl = emacsclient  %f
++text/x-perl = emacsclient  %f
++application/x-shellscript = emacsclient  %f
++text/x-shellscript = emacsclient  %f
+ 
+ # Or firefox -remote "openFile(%u)"
+ text/html = firefox %u
+@@ -135,41 +124,39 @@
+ 
+ application/x-webarchive = konqueror %f
+ text/x-fictionbook = ebook-viewer %f
+-application/x-tex = emacsclient --no-wait  %f
+-application/xml = emacsclient --no-wait  %f
+-text/xml = emacsclient --no-wait  %f
+-text/x-tex = emacsclient --no-wait  %f
+-text/plain = emacsclient --no-wait  %f
+-text/x-awk = emacsclient --no-wait  %f
+-text/x-c = emacsclient --no-wait  %f
+-text/x-c+ = emacsclient --no-wait  %f
+-text/x-c++ = emacsclient --no-wait  %f
++application/x-tex = emacsclient  %f
++application/xml = emacsclient  %f
++text/xml = emacsclient  %f
++text/x-tex = emacsclient  %f
++text/plain = emacsclient  %f
++text/x-awk = emacsclient  %f
++text/x-c = emacsclient  %f
++text/x-c+ = emacsclient  %f
++text/x-c++ = emacsclient  %f
+ text/x-csv = libreoffice %f
+ text/x-html-sidux-man = konqueror %f
+ text/x-html-aptosid-man = iceweasel %f
+ 
+-application/x-chm = kchmviewer %f
+ # Html pages inside a chm have a chm rclaptg set by the filter. Kchmviewer
+ # knows how to use the ipath (which is the internal chm path) to open the
+ # file at the right place
+ text/html|chm = kchmviewer --url %i %F
+ 
+-text/x-ini = emacsclient --no-wait %f
++text/x-ini = emacsclient %f
+ text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
  text/x-python = idle %f
+-text/x-gaim-log = emacsclient --no-wait  %f
+-text/x-purple-html-log = emacsclient --no-wait  %f
+-text/x-purple-log = emacsclient --no-wait  %f
++text/x-gaim-log = emacsclient  %f
++text/x-purple-html-log = emacsclient  %f
++text/x-purple-log = emacsclient  %f
+ 
+ # The video types will usually be handled by the desktop default, but they
+ # need entries here to get an "Open" link
+-video/3gpp = vlc %f
+-video/mp2p = vlc %f
+-video/mp2t = vlc %f
+-video/mp4 = vlc %f
+-video/mpeg = vlc %f
+-video/quicktime = vlc %f
+-video/x-matroska = vlc %f
+-video/x-ms-asf = vlc %f
+-video/x-msvideo = vlc %f
+-
++video/3gpp = open %f
++video/mp2p = open %f
++video/mp2t = open %f
++video/mp4 = open %f
++video/mpeg = open %f
++video/quicktime = open %f
++video/x-matroska = open %f
++video/x-ms-asf = open %f
++video/x-msvideo = open %f
diff -ruN macports-release-recoll/files/sampleconf-mimeview.diff recoll/files/sampleconf-mimeview.diff
--- macports-release-recoll/files/sampleconf-mimeview.diff	1970-01-01 01:00:00.000000000 +0100
+++ recoll/files/sampleconf-mimeview.diff	2013-10-08 16:19:17.000000000 +0200
@@ -0,0 +1,147 @@
+--- sampleconf/mimeview	2013-09-30 18:45:06.222313401 +0200
++++ sampleconf/mimeview.mac	2013-09-30 18:45:06.222313401 +0200
+@@ -2,7 +2,8 @@
+ 
+ ## ##########################################
+ # External viewers, launched by the recoll GUI when you click on a result
+-# 'edit' link
++# 'Open' link - MAC version
++# On the MAC, we use "open" for everything...
+ 
+ # Mime types which we should not uncompress if they are found gzipped or
+ # bzipped because the native viewer knows how to handle. These would be
+@@ -16,20 +17,17 @@
+ #    search string
+ #  - For pages of CHM and EPUB documents where we can choose to open the 
+ #    parent document instead of a temporary html file.
+-xallexcepts = application/pdf application/postscript application/x-dvi \
+- text/html|gnuinfo text/html|chm text/html|epub \
+- application/x-fsdirectory|parentopen inode/directory|parentopen
++#xallexcepts = application/pdf application/postscript application/x-dvi \
++#            text/html|gnuinfo text/html|chm text/html|epub
+ 
+ [view]
+ # Pseudo entry used if the 'use desktop' preference is set in the GUI
+-application/x-all = xdg-open %u
++application/x-all = open %f
+ 
+ application/epub+zip = ebook-viewer %f
+-# Open the parent epub document for epub parts instead of opening them as
+-# html documents. This is almost always what we want.
+-text/html|epub = ebook-viewer %F;ignoreipath=1
+-
+-application/x-gnote = gnote %f
++# If you want to open the parent epub document for epub parts instead of
++# opening them as html documents:
++#text/html|epub = ebook-viewer %F;ignoreipath=1
+ 
+ application/x-mobipocket-ebook = ebook-viewer %f
+ 
+@@ -76,13 +74,9 @@
+ application/vnd.wordperfect = libreoffice %f
+ text/rtf = libreoffice %f
+ 
++application/x-chm = kchmviewer %f
+ application/x-dia-diagram = dia %f
+-
+ application/x-fsdirectory = dolphin %f
+-inode/directory = dolphin %f
+-application/x-fsdirectory|parentopen = dolphin --select %(childurl) %f
+-inode/directory|parentopen = dolphin --select %(childurl) %f
+-
+ application/x-gnuinfo = xterm -e "info -f %f"
+ application/x-gnumeric = gnumeric %f
+ 
+@@ -102,11 +96,6 @@
+ image/x-ms-bmp = gwenview %f
+ image/x-xpmi = gwenview %f
+ 
+-# Opening mail messages not always works. 
+-#  - Thunderbird will only open a single-message file if it has an .emf
+-#    extension
+-#  - "sylpheed %f" seems to work ok as of version 3.3
+-#  - "kmail --view %u" works
+ message/rfc822 = thunderbird -file %f
+ text/x-mail = thunderbird -file %f
+ application/x-mimehtml = thunderbird -file %f
+@@ -119,11 +108,11 @@
+ application/x-tar = ark %f
+ application/zip = ark %f
+ 
+-application/x-awk = emacsclient --no-wait %f
+-application/x-perl = emacsclient --no-wait %f
+-text/x-perl = emacsclient --no-wait %f
+-application/x-shellscript = emacsclient --no-wait %f
+-text/x-shellscript = emacsclient --no-wait %f
++application/x-awk = emacsclient  %f
++application/x-perl = emacsclient  %f
++text/x-perl = emacsclient  %f
++application/x-shellscript = emacsclient  %f
++text/x-shellscript = emacsclient  %f
+ 
+ # Or firefox -remote "openFile(%u)"
+ text/html = firefox %u
+@@ -135,41 +124,39 @@
+ 
+ application/x-webarchive = konqueror %f
+ text/x-fictionbook = ebook-viewer %f
+-application/x-tex = emacsclient --no-wait  %f
+-application/xml = emacsclient --no-wait  %f
+-text/xml = emacsclient --no-wait  %f
+-text/x-tex = emacsclient --no-wait  %f
+-text/plain = emacsclient --no-wait  %f
+-text/x-awk = emacsclient --no-wait  %f
+-text/x-c = emacsclient --no-wait  %f
+-text/x-c+ = emacsclient --no-wait  %f
+-text/x-c++ = emacsclient --no-wait  %f
++application/x-tex = emacsclient  %f
++application/xml = emacsclient  %f
++text/xml = emacsclient  %f
++text/x-tex = emacsclient  %f
++text/plain = emacsclient  %f
++text/x-awk = emacsclient  %f
++text/x-c = emacsclient  %f
++text/x-c+ = emacsclient  %f
++text/x-c++ = emacsclient  %f
+ text/x-csv = libreoffice %f
+ text/x-html-sidux-man = konqueror %f
+ text/x-html-aptosid-man = iceweasel %f
+ 
+-application/x-chm = kchmviewer %f
+ # Html pages inside a chm have a chm rclaptg set by the filter. Kchmviewer
+ # knows how to use the ipath (which is the internal chm path) to open the
+ # file at the right place
+ text/html|chm = kchmviewer --url %i %F
+ 
+-text/x-ini = emacsclient --no-wait %f
++text/x-ini = emacsclient %f
+ text/x-man = xterm -u8 -e "groff -T ascii -man %f | more"
+ text/x-python = idle %f
+-text/x-gaim-log = emacsclient --no-wait  %f
+-text/x-purple-html-log = emacsclient --no-wait  %f
+-text/x-purple-log = emacsclient --no-wait  %f
++text/x-gaim-log = emacsclient  %f
++text/x-purple-html-log = emacsclient  %f
++text/x-purple-log = emacsclient  %f
+ 
+ # The video types will usually be handled by the desktop default, but they
+ # need entries here to get an "Open" link
+-video/3gpp = vlc %f
+-video/mp2p = vlc %f
+-video/mp2t = vlc %f
+-video/mp4 = vlc %f
+-video/mpeg = vlc %f
+-video/quicktime = vlc %f
+-video/x-matroska = vlc %f
+-video/x-ms-asf = vlc %f
+-video/x-msvideo = vlc %f
+-
++video/3gpp = open %f
++video/mp2p = open %f
++video/mp2t = open %f
++video/mp4 = open %f
++video/mpeg = open %f
++video/quicktime = open %f
++video/x-matroska = open %f
++video/x-ms-asf = open %f
++video/x-msvideo = open %f